.dropdown {
  position: relative;
  width: 100%;
  user-select: none;
}

.dropdown-toggle {
  display: flex;
  justify-content: space-between;
  align-items: center;
  cursor: pointer;

  border: 1px solid var(--colors-border-border-primary);
  border-radius: 8px;
  padding: 10px 14px;
  width: 100%;
  box-shadow: 0 1px 2px 0 rgba(16, 24, 40, 0.05);
  background: var(--colors-background-bg-primary);
  transition: all 200ms;
}

.dropdown-toggle:hover {
  border: 1px solid var(--colors-brand-500);
}

.dropdown-toggle.active {
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
  border: 1px solid var(--colors-brand-500);
  border-bottom-color: var(--colors-background-bg-primary);
}

.dropdown-toggle-text {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 16px;
  line-height: 150%;
  color: var(--colors-text-text-placeholder);
}

.dropdown-toggle-arrow {
  display: flex;
  align-items: center;
  justify-content: center;
  transition: transform 0.2s;
}

.dropdown-toggle.active .dropdown-toggle-arrow {
  transform: rotate(180deg);
}

.dropdown-menu {
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
  max-height: 200px;
  overflow-y: auto;
  border-bottom-left-radius: 8px;
  border-bottom-right-radius: 8px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
  z-index: 1000;
  display: none;

  /**/
  border: 1px solid var(--colors-brand-500);
  border-top: none;
  background: var(--colors-background-bg-primary);
}

.dropdown-menu.active {
  display: block;
}

.dropdown-menu-item {
  padding: 10px 15px;
  cursor: pointer;
  transition: all 0.2s;
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 16px;
  line-height: 150%;
  color: var(--component-colors-components-buttons-tertiary-button-tertiary-fg);
}

.dropdown-menu-item:hover {
  background-color: #f8f9fa;
  color: var(--colors-brand-500);
}

.dropdown-menu-item.selected {
  /*background-color: #e9ecef;*/
  background-color: var(--colors-background-bg-brand-primary-alt);
  color: var(--colors-brand-500);
  font-weight: bold;
}
